Holger's Java API

## com.antelmann.sql
Class SQLDirectQueryEntryFilter<T>

    java.lang.Object
      com.antelmann.sql.SQLDirectQueryEntryFilter<T>

All Implemented Interfaces:
  CascadingFilter<T>, Filter<T>, Serializable

    public class SQLDirectQueryEntryFilter<T>

extends Object
implements Serializable, CascadingFilter<T>

a special filter that directly works off a SQL query String; only suitable for pre-filtering from the database, unless an internalFilter is set in addition.

Since:
  20. März 2007, 14:19
Author:
  Holger Antelmann
See Also:
  `BaseRowMapper`, Serialized Form

Field Summary

Fields inherited from interface com.antelmann.util.Filter
`EXCLUDE_ALL_FILTER, INCLUDE_ALL_FILTER`

Constructor Summary
`SQLDirectQueryEntryFilter(String sql)`
`SQLDirectQueryEntryFilter(String sql, Filter<? super T> internalFilter)`

Method Summary
`boolean` `accept(T entry)` if no internalFilter is set, true is returned; otherwise the internalFilter determines the return value
`Filter<? super T>` `getInnerFilter()`
`Object[]` `getParams()`
`String` `getQueryString()`
`void` `setInnerFilter(Filter<? super T> internalFilter)`
`SQLDirectQueryEntryFilter<T>` `setParams(Object... params)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLDirectQueryEntryFilter

    public SQLDirectQueryEntryFilter(String sql)

### SQLDirectQueryEntryFilter

    public SQLDirectQueryEntryFilter(String sql,
                                     Filter<? super T> internalFilter)

Method Detail

### getParams

    public Object[] getParams()

### setParams

    public SQLDirectQueryEntryFilter<T> setParams(Object... params)

### getQueryString

    public String getQueryString()

### getInnerFilter

    public Filter<? super T> getInnerFilter()

  Specified by:
    `getInnerFilter` in interface `CascadingFilter<T>`

### setInnerFilter

    public void setInnerFilter(Filter<? super T> internalFilter)

  Specified by:
    `setInnerFilter` in interface `CascadingFilter<T>`

### accept

    public boolean accept(T entry)

  if no internalFilter is set, true is returned; otherwise the internalFilter determines the return value

  Specified by:
    `accept` in interface `Filter<T>`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads